class MainPanel {
    constructor(app) {
        this.app = app;
        this.panels_znyg = [];
        this.panels_znjk = [];
        this.panels_znef = [];
        this.toolBar = null;
        this.toolImgs = {};
        this.isExpandBuilding = false;
        this.createToolsPanel();
        this.building = this.app.buildings[0];
    }
    // 创建工具面板
    createToolsPanel() {
        var that = this;

        //  this.toolBar = THING.widget.ToolBar({ width: '12%', media: true,captionPos:'hover',opacity:0.5});
        this.toolBar = THING.widget.Banner({ column: 'left', width: '20px', media: true, captionPos: 'hover', opacity: 0.8 });
        this.toolBar.data = { znsx: false, enterBuilding: false, expandBuilding: false, deviceShow: false, electricalFire: false };
